"use strict";
const jsxRuntime = require("react/jsx-runtime");
const styles_lib_components_MenuRenderer_MenuRenderer_cjs = require("../MenuRenderer/MenuRenderer.cjs");
const styles_lib_components_ButtonIcon_ButtonIcon_cjs = require("../ButtonIcon/ButtonIcon.cjs");
const styles_lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const styles_lib_components_OverflowMenu_OverflowMenu_css_cjs = require("./OverflowMenu.css.cjs");
const styles_lib_components_Accordion_AccordionItem_cjs = require("../Accordion/AccordionItem.cjs");
const OverflowMenu = ({
  label,
  children,
  id,
  ...menuProps
}) => /* @__PURE__ */ jsxRuntime.jsx(
  styles_lib_components_MenuRenderer_MenuRenderer_cjs.MenuRenderer,
  {
    trigger: (triggerProps) => /* @__PURE__ */ jsxRuntime.jsx(
      styles_lib_components_Box_Box_cjs.Box,
      {
        display: "flex",
        justifyContent: "flexEnd",
        className: styles_lib_components_OverflowMenu_OverflowMenu_css_cjs.triggerOffset,
        children: /* @__PURE__ */ jsxRuntime.jsx(
          styles_lib_components_ButtonIcon_ButtonIcon_cjs.ButtonIcon,
          {
            id,
            icon: /* @__PURE__ */ jsxRuntime.jsx(styles_lib_components_Accordion_AccordionItem_cjs.IconOverflow, {}),
            variant: "transparent",
            label,
            ...triggerProps
          }
        )
      }
    ),
    align: "right",
    offsetSpace: "small",
    ...menuProps,
    children
  }
);
exports.OverflowMenu = OverflowMenu;
